Skip to main content
POST
/
api
/
public
/
organizations
/
{orgId}
/
skills
Create a skill
curl --request POST \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/skills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "instructions": "<string>",
  "description": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "instructions": "<string>",
    "organizationId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

Body

application/json
name
string
required

Human-readable skill name

Required string length: 1 - 100
instructions
string
required

Full reusable skill instructions

Required string length: 1 - 50000
description
string | null

Optional routing description for the skill

Required string length: 1 - 1024

Response

Skill created successfully

data
object
required